Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.ast
Interface CanSuppressWarnings

All Known Implementing Classes:
  ASTClassOrInterfaceBodyDeclaration, ASTFormalParameter, ASTLocalVariableDeclaration, ASTTypeDeclaration

public interface CanSuppressWarnings

Method Summary
`boolean` | `hasSuppressWarningsAnnotationFor(Rule rule)`

Method Detail

### hasSuppressWarningsAnnotationFor

    public boolean hasSuppressWarningsAnnotationFor(Rule rule)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.